## semantik 0.6.8

=== wscript ===
--- 
+++ 
@@ -4,18 +4,15 @@
 # Tots els suggeriments són benvinguts
 
 APPNAME='semantik'
-VERSION='0.6.5'
+VERSION='0.6.8'
 
 srcdir = '.'
 blddir = 'build'
 
 import os, sys, re
 import Params, Action, Task, Utils, Common, Object, Configure
-from qt4 import create_rcc_task
-
-trans = "ca fr es de it".split()
-
-Params.g_autoconfig=1
+
+#Params.g_autoconfig=1
 
 Utils.waf_version(mini="1.1.1", maxi="1.5.9")
 
@@ -25,7 +22,7 @@
 	(f, filename) = DistTarball(APPNAME, VERSION)
 	f = file(filename,'rb')
 	m = md5.md5()
-	readBytes = 1024 # read 1024 bytes per time
+	readBytes = 100000
 	while (readBytes):
 		readString = f.read(readBytes)
 		m.update(readString)
@@ -71,9 +68,8 @@
 	bld.add_group()
 
 	abj = bld.create_obj('ocaml', 'c_object')
-	abj.env = env.copy()
-	abj.source = ['src/armtlkto.c']
-	abj.find_sources_in_dirs('src')
+	#abj.source = ['src/armtlkto.c']
+	abj.find_sources_in_dirs('src', exts=['.c', '.ml'])
 	abj.includes='. src'
 	abj.target='camlprog'
 	abj.are_deps_set = 1
@@ -82,29 +78,29 @@
 	Object.g_name_to_obj['camlprog']=abj
 
 	ibj = bld.create_obj('qt4', 'shlib')
-	ibj.find_sources_in_dirs('src/wp')
+	ibj.find_sources_in_dirs('src/wp', exts=['.cpp'])
 	ibj.target = 'nablah'
-	ibj.uselib = 'QTCORE QTGUI'
+	ibj.uselib = 'QTCORE QTGUI QTWEBKIT'
 	ibj.includes='. src src/wp'
 	Object.g_name_to_obj['nablah']=ibj
-	ibj.install_var = 'KDE4_LIB_INSTALL_DIR'
+	ibj.inst_var = 'KDE4_LIB_INSTALL_DIR'
 
 	import time
 	obj = bld.create_obj('qt4', 'program', 'pyembed')
-	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'])
+	obj.find_sources_in_dirs('src src/fig', excludes=['src/armtlkto.c'], exts=['.cpp'])
 	obj.uselib = 'QTCORE QTGUI QTXML QTSVG CAML NABLAH KDECORE KIO KDEUI KHTML'
 	obj.uselib_local = 'nablah'
 	obj.target = 'src/semantik'
-	obj.install_var = 'KDE4_BIN_INSTALL_DIR'
+	obj.inst_var = 'KDE4_BIN_INSTALL_DIR'
 	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']
 
 	obj.includes = 'src src/fig'
 	obj.add_objects='camlprog'
 	obj.post()
 
-	obj.m_linktask.set_run_after(abj.m_tasks[-1])
-
-
+	obj.link_task.set_run_after(abj.m_tasks[-1])
+
+	install_files('SEMANTIK_DIR', '', 'src/sembind.py')
 
 	rt = 'src/templates/'
 
@@ -181,15 +177,13 @@
 	if Params.g_options.icons:
 		icons = Params.g_options.icons
 
-	conf.define("turlututu", '"chapeau_pointu"')
-
         conf.check_tool('g++ qt4')
 	conf.check_tool('python')
 	conf.check_tool('ocaml')
 	if not conf.env['CXX']: Params.fatal('Semantik requires g++ (compilation only)')
 	if not conf.env['OCAMLOPT']: Params.fatal('Semantik requires ocamlopt (compilation only)')
 	if not conf.env['QT_LRELEASE']: Params.fatal('Semantik requires the program lrelease (from the Qt linguist package? - compilation only)')
-	if not conf.env['HAVE_QTXML']: Params.fatal('Semantik requires Qt 4')
+	if conf.env['HAVE_QTWEBKIT'] != 1: Params.fatal('QtWebKit not found - Semantik requires Qt 4.4')
 	if not conf.env['PYTHON']: Params.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
 	conf.check_python_version((2,4,2))
 	conf.check_python_headers()
@@ -245,3 +239,31 @@
 		#os.popen('export LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH; PATH=plugins:$PATH build/default/src/semantik')
 		os.popen('LD_LIBRARY_PATH=build/default/:$LD_LIBRARY_PATH build/default/src/semantik')
 
+	return
+	# display the graph of header dependencies
+	root = os.path.abspath('.')
+	def rep(x):
+		return str(x).replace(root, '')
+
+	import types
+	f = open('me.dot', 'w')
+	f.write("digraph G {\n")
+	table = Params.g_build.m_depends_on
+	for a in table:
+		for x in table[a]:
+			if type(table[a][x]) is types.ListType:
+				for y in table[a][x]:
+					f.write('"%s" -> "%s";\n' % (rep(x), rep(y)))
+			else:
+				f.write('"%s" -> "%s";\n' % (rep(x), rep(table[a][x])))
+	f.write('}\n')
+	f.close()
+
+	try:
+		os.popen('dot -Tpng me.dot -ofoo.png').read()
+	except:
+		print "the dot program was not found - install graphviz?"
+	else:
+		print "generated foo.png"
+
+
