=== src/templates/beamer/wscript ===
--- 
+++ 
@@ -11,7 +11,7 @@
 $ waf --view
 '''
 
-import os, Params
+import os, Options
 
 VERSION = '0.0.1'
 APPNAME = 'test'
@@ -20,8 +20,7 @@
 blddir = 'build'
 
 def build(bld) :
-	target = bld.create_obj('tex', 'pdflatex')
-	target.source = 'main.tex'
+	bld.new_task_gen(features='tex', type='pdflatex', source='main.tex')
 
 def configure(configuration):
         configuration.check_tool('tex')
@@ -48,7 +47,7 @@
 		except:
 			return None
 
-	if Params.g_options.view:
+	if Options.options.view:
 		for i in ["kpdf", "gnome-open", "xpdf"]:
 			if exists(i):
 				os.popen("%s build/default/main.pdf" % i)
