## semantik 0.7.2

=== wscript ===
--- 
+++ 
@@ -4,16 +4,19 @@
 # Tots els suggeriments són benvinguts
 
 APPNAME='semantik'
-VERSION='0.7.1'
+VERSION='0.7.2'
 
 srcdir = '.'
 blddir = 'build'
 
 import os, sys, re
-import Task, Utils, Configure, Options
+import Task, Utils, Configure, Options, Logs
 
 try: import hashlib as md5
 except: import md5
+
+#import Configure
+#Configure.autoconfig = 1
 
 #Params.g_autoconfig=1
 
@@ -93,7 +96,7 @@
 	obj.install_path = '${KDE4_BIN_INSTALL_DIR}/'
 	#obj.defines = ['''TT1=\'"%s"\'''' % time.ctime(), '''TT2='"%s"' ''' % time.ctime(), 'foo=2']
 
-	obj.includes = 'src src/fig'
+	obj.includes = '. src src/fig'
 	obj.add_objects = 'camlprog'
 
 	import Task
@@ -106,9 +109,10 @@
 	bld.install_files('${SEMANTIK_DIR}/flags', 'src/flags/*.svg')
 	bld.install_files('${TEMPLATE_DIR}', rt+'*.py')
 
-	tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
-        if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
-	bld.do_install(os.path.abspath('waf'), tgt)
+	if Options.is_install:
+		tgt = bld.env_of_name('default')['TEMPLATE_DIR']+'waf'
+		if env.get_destdir(): tgt = os.path.join(env.get_destdir(), tgt.lstrip(os.sep))
+		bld.do_install(os.path.abspath('waf'), tgt)
 
 	bld.install_files('${TEMPLATE_DIR}/pdflatex', rt+'pdflatex/*')
 	for x in 'html odt odp java'.split():
@@ -133,6 +137,7 @@
 	bld.install_files('${FILTER_DIR}/', 'src/filters/*')
 
 	bld.install_files('${KDE4_XDG_APPS_INSTALL_DIR}/', 'src/data/semantik.desktop')
+	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/128x128/apps/semantik.png', 'src/data/hi128-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/64x64/apps/semantik.png', 'src/data/hi64-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/48x48/apps/semantik.png', 'src/data/hi48-app-semantik.png')
 	bld.install_as('${KDE4_ICON_INSTALL_DIR}/hicolor/22x22/apps/semantik.png', 'src/data/hi22-app-semantik.png')
@@ -172,7 +177,7 @@
 	else:
 		icons = '/usr/share/icons:/usr:/etc/opt/kde3/share/icons/:/opt/kde3/share/icons/:/var/lib/mandriva/kde-profiles/powerpackplus/share/icons/:/usr/share/icons/'
 		if not Options.options.icons:
-			Logs.warning("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")
+			Logs.warn("For now Semantik uses a few kde icons - if you have problems seeing the icons install kde")
 
 	if Options.options.icons:
 		icons = Options.options.icons
@@ -185,9 +190,12 @@
 	if not conf.env['PYTHON']: conf.fatal('Semantik requires Python >= 2.5 (development package for the compilation)')
 	conf.check_python_version((2,4,2))
 	conf.check_python_headers()
-	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warning('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
+	if not conf.env['PYTHON_VERSION'] in "2.4 2.5 2.6 2.7".split(): Logs.warn('Bad Python version %s ' % str(conf.env['PYTHON_VERSION']))
 	conf.check_tool('ocaml')
 	if not conf.env['OCAMLOPT']: conf.fatal('Semantik requires ocamlopt (compilation only)')
+
+	#ret = Utils.cmd_output('python-config --cflags').strip().split()
+	#conf.env.append_value('CXXFLAGS_CAML', ret)
 
 	try:
 		conf.check_tool('kde4')
@@ -197,11 +205,11 @@
 		#Utils.pprint('YELLOW', "kde4 is disabled (missing)")
 		conf.fatal('Compiling Semantik requires kde4 -devel')
 
-	conf.env['OCALINKFLAGS_OPT_PP']= ' str.cmxa '
+	conf.env['OCALINKFLAGS_OPT_PP']= 'str.cmxa'
 	conf.env['LINKFLAGS_CAML'] = '-lasmrun -lstr -lnums'.split()
 	conf.env['LIBPATH_CAML'] = conf.env['OCAMLLIB']
 	conf.env['LIB_CAML'] = "m".split()
-	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt ' #-unsafe -noassert -inline 10'
+	conf.env['OCAMLFLAGS_TWT'] = '-pp default/util/ocaml+twt'.split() #-unsafe -noassert -inline 10'
 	conf.env['CXXDEFINES']='WAF'
 	conf.define('ICONS', icons)
 	conf.define('VERSION', VERSION)
@@ -216,7 +224,7 @@
 
 	conf.env['CXXFLAGS_PYEMBED'] = [x for x in conf.env['CXXFLAGS_PYEMBED'] if x != '-g']
 
-	conf.env['CXXFLAGS']='-O2 -pipe -Wall'# -DDEBUG=1 -g'
+	conf.env['CXXFLAGS']='-O2 -pipe -Wall'.split()# -DDEBUG=1 -g'
 	conf.write_config_header('aux.h')
 
 	# the Debian packagers compile with --prefix=/usr and set /etc/ld.so.conf accordingly
