=== debian/changelog ===
semantik (0.7.3-0ubuntu4) oneiric; urgency=low

  * add build dependency on libqtwebkit4 (LP: #837429)
  * remove unneeded link against libstr.a not present in ocaml-nox anymore
  * remove dpatch b-d 
  * bump standard version to 3.9.2, no changes necessary 
  * replace dh_clean -k with dh_prep 

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 31 Aug 2011 12:17:53 +0200

semantik (0.7.3-0ubuntu3) oneiric; urgency=low

  * Rebuild to pick up armel ocaml fixes.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 19 Aug 2011 13:43:50 -0600

semantik (0.7.3-0ubuntu2) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Dec 2010 16:56:25 +0000

semantik (0.7.3-0ubuntu1) natty; urgency=low

  * New upstream release:
    - Update debian/patches/kubuntu_01_wscript_log.diff
  * Bump Standards-Version to 3.9.1
  * Switch to source format 3.0 to avoid repacking the tarball:
    - Bump debhelper/compat version to 7
    - Remove quilt build-dependency, no longer required
    - Remove README.source, as none is required when using quilt with
      source format 3.0 (quilt)
  * Add missing epoch to the versioned build-dependency on libqt4-dev

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 01 Nov 2010 19:59:12 -0400

semantik (0.7.2-0ubuntu3) maverick; urgency=low

  * Rebuild for qtwebkit transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 12:07:43 +0100

semantik (0.7.2-0ubuntu2) lucid; urgency=low

  * Add missing build dependencies to fix FTBFS: pkg-config, libxrender-dev
  * debian/control: add {$misc:Depends} to Depends
  * Added debian/README.source
  * Bumped Standards-Version to 3.8.3
  * Fixed watch file
  * debian/semantik.lintian: update script-not-executable warnings

 -- Ilya Barygin <barygin@gmail.com>  Sat, 16 Jan 2010 18:06:57 +0300

semantik (0.7.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Update kubuntu_01_wscript_log.dpatch

 -- Harald Sitter <apachelogger@ubuntu.com>  Sat, 02 May 2009 11:31:48 +0200

semantik (0.7.1-0ubuntu2) jaunty; urgency=low

  * Add kubuntu_01_wscript_log.dpatch to convert non-functional log statements
    to print and fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Wed, 15 Apr 2009 15:40:27 -0400

semantik (0.7.1-0ubuntu1) jaunty; urgency=low

  * New upstream release.
  * Removed kubuntu_01_configuration_fix.dpatch since it's not needed anymore.

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 14 Apr 2009 20:46:13 +0200

semantik (0.6.8-0ubuntu2) jaunty; urgency=low

  * Added kubuntu_02_menu_entry_fix.dpatch (LP: #295999) 

 -- Michał Zając <michal.zajac@gmail.com>  Wed, 08 Apr 2009 16:55:17 +0200

semantik (0.6.8-0ubuntu1) intrepid; urgency=low

  [ Iain Lane ]
  * New upstream release (LP: #259599)
  * Remove kubuntu_{02,03}_... - fixed upstream 
  * debian/rules: Copy .py files from correct path, fixing FTBFS 

  [ Jonathan Patrick Davies ]
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Updated debhelper dependency to version 6.
    - Updated my email address.
  * debian/compat: Updated to version 6.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 26 Aug 2008 15:07:41 +0100

semantik (0.6.5-0ubuntu1) hardy; urgency=low

  * New upstream release (LP: #181326).
  * Added kubuntu_01_configuration_fix.dpatch - fixed up build system for KDE4.
  * Added kubuntu_02_syntax_error_fix.dpatch - fixed syntax error in build
    system.
  * Added kubuntu_03_header_fix.diff - fixed up included header files.
  * Added rules for dpatch and installation into /usr/lib/kde4/.

  [Jonathan Patrick Davies]
  * Updated Standards-Version to 3.7.3.
  * Added build dependencies on kdelibs5-dev and dpatch.
  * Feature Freeze Exception (LP: #192350).

 -- Jean-Baptiste Giraudeau <jbgiraudeau@gmail.com>  Thu, 14 Feb 2008 13:10:13 +0100

semantik (0.6.1really0.5.9-0ubuntu1) hardy; urgency=low

  * Downgrade to last buildable version (breaks with KDE4).
  * Removed dep on kdelibs5-dev.
  * Moved overrides/ to semantik.lintian.
  * Changed rules to dh_* scripts (fix build).
  * Removed dependency on CDBS.
  * Moved Homepage to new policy location.
  * Added watch file.
  * Dropped kubuntu_01_disable_rpath.diff - define with --want-rpath=0 instead.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Tue, 27 Oct 2007 18:40:34 +0100

semantik (0.6.0-0ubuntu1) hardy; urgency=low

  * Initial release. (LP: #131223)
  * Created kubuntu_01_disable_rpath.diff - self explanatory.

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Tue, 13 Oct 2007 18:15:50 +0100
