=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp

build-stamp:
	dh_testdir
	PATH=$(PATH):/usr/lib/kde4/bin ./waf configure --prefix=/usr --want-rpath=0
	docbook2x-man debian/semantik.1.docbook
	./waf
	touch build-stamp

clean: clean-patched

clean-patched:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f semantik.1
	rm -f kde4.pyc
	rm -rf build
	rm -rf .waf*
	rm -f .lock-wscript
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	DESTDIR=$(CURDIR)/debian/semantik ./waf -f install
	
	chmod +x $(CURDIR)/debian/semantik/usr/share/kde4/apps/semantik/filters/*.py
	# Lintian overrides
	install -D -o root -g root -m 0644 debian/semantik.lintian debian/semantik/usr/share/lintian/overrides/semantik

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installman semantik.1
	dh_installdocs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
