=== debian/watch ===
version=3
http://code.google.com/p/semantik/downloads/list http://semantik.googlecode.com/files/semantik-(\d.*).tar.bz2
